Skip to main content
GET
/
bank-linking
/
accounts
/
{financialAccountId}
Get a financial account
curl --request GET \
  --url https://api-sb.meld.io/bank-linking/accounts/{financialAccountId} \
  --header 'Authorization: <api-key>'
{
  "accountId": "<string>",
  "balances": {
    "availableAmount": 123,
    "currency": "<string>",
    "currentAmount": 123,
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "connectionIds": [
    "<string>"
  ],
  "customerId": "<string>",
  "externalCustomerId": "<string>",
  "historicalAggregationSucceeded": true,
  "id": "<string>",
  "identifiers": {
    "ach": {
      "accountNumber": "<string>",
      "routingNumber": "<string>"
    },
    "bacs": {
      "accountNumber": "<string>",
      "sortCode": "<string>"
    },
    "eft": {
      "accountNumber": "<string>",
      "institutionNumber": "<string>",
      "branchNumber": "<string>"
    },
    "international": {
      "accountName": "<string>",
      "accountNumber": "<string>",
      "bban": "<string>",
      "bic": "<string>",
      "iban": "<string>",
      "sortCode": "<string>"
    }
  },
  "institutionId": "<string>",
  "institutionName": "<string>",
  "key": "<string>",
  "name": "<string>",
  "owners": [
    {
      "addresses": [
        {
          "data": {
            "city": "<string>",
            "country": "<string>",
            "full": "<string>",
            "postalCode": "<string>",
            "region": "<string>",
            "street": "<string>"
          }
        }
      ],
      "emails": [
        {
          "data": "<string>"
        }
      ],
      "names": [
        "<string>"
      ],
      "phoneNumbers": [
        {
          "data": "<string>"
        }
      ]
    }
  ],
  "serviceProviderDetails": [
    {}
  ],
  "truncatedAccountNumber": "<string>"
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Path Parameters

financialAccountId
string
required

Financial account id

Response

Financial account is returned

accountId
string

The unique identifier of your account with Meld. This id will be the same for all calls to Meld endpoints made from this account.

balances
object

Financial account balance

connectionIds
string[]

Ids of connections used to load data for this financial account

customerId
string

Meld generated unique identifier for your customer. This should be used to track customer activity.

externalCustomerId
string

Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity.

historicalAggregationSucceeded
boolean

Whether historical aggregation has succeeded for this financial account.

id
string

The id of the financial account

identifiers
object

Identifiers for the financial account

institutionId
string

Institution id

institutionName
string

Institution name

key
string

When this financial account is part of a paginated list, this key represents its position in the list

name
string

The name of the financial account as provided by the institution

owners
object[]

Owners of the financial account

serviceProviderDetails
object[]

Raw service provider details for the service provider account(s) associated with this Financial Account. The raw format varies by service provider, but each result will always contain a serviceProvider field and an updatedAt field. Results are ordered by updatedAt, with the most recent result at the start of the list, and the oldest at the bottom.

status
enum<string>

Status of the financial account

Available options:
ACTIVE,
INACTIVE
subtype
enum<string>

Subtype of the financial account. Possible subtypes can be found at Account Types and Subtypes

Available options:
OTHER,
HSA,
SAVINGS,
AUTO,
CREDIT_CARD,
CASH_MANAGEMENT,
CD,
CHECKING,
EBT,
MONEY_MARKET,
PREPAID,
HEALTH,
LIFE,
BROKERAGE,
BROKERAGE_MARGIN,
CASH_ISA,
CHARITABLE_GIFT_ACCOUNT,
CHURCH_ACCOUNT,
CONSERVATORSHIP,
CRYPTO,
CUSTODIAL_ACCOUNT,
DEFINED_BENEFIT_PLAN,
DEFINED_CONTRIBUTION_PLAN,
EDUCATION_SAVINGS,
EDUCATIONAL,
ESOP,
ESPP,
ESTATE,
EXECUTOR,
FIXED_ANNUITY,
GIC,
GRSP,
HRA,
INDEXED_ANNUITY,
INDIVIDUAL,
INVESTMENT_CLUB,
IRA,
IRREVOCABLE_TRUST,
ISA,
JOINT_TENANTS_COMMUNITY_PROPERTY,
JTIC,
JOINT_TENANTS_TENANTS_BY_ENTIRETY,
JTWROS,
KEOGH,
LIF,
LIRA,
LIVING_TRUST,
LRSP,
MONEY_PURCHASE_PLAN,
MUTUAL_FUND,
OTHER_ANNUITY,
OTHER_TRUST,
PARTNERSHIP,
PENSION,
PLAN_401A,
PLAN_401K,
PLAN_403B,
PLAN_409A,
PLAN_457B,
PLAN_529,
PRIF,
PROFIT_SHARING_PLAN,
RESP,
RETIREMENT,
REVOCABLE_TRUST,
ROLLOVER,
ROTH,
ROTH_401K,
ROTH_403B,
ROTH_CONVERSION,
RPP,
RRIF,
RRSP,
RDSP,
SARSEP,
SEP_IRA,
SIMPLE_IRA,
SIPP,
SOLE_PROPRIETORSHIP,
SPOUSAL_IRA,
SPOUSAL_ROTH_IRA,
STOCK_PLAN,
TAXABLE,
TDA,
TESTAMENTARY_TRUST,
THRIFT_SAVINGS_PLAN,
TRUST,
TFSA,
UGMA,
UTMA,
VARIABLE_ANNUITY,
BUSINESS,
CONSUMER,
HELOC,
LINE_OF_CREDIT,
MILITARY,
MORTGAGE,
STUDENT,
UNIDENTIFIED
truncatedAccountNumber
string

The ast 4 digits of the account number

type
enum<string>

Type of the financial account. Possible types can be found at Account Types and Subtypes

Available options:
CREDIT,
DEPOSITORY,
INSURANCE,
INVESTMENT,
LOAN,
OTHER,
UNIDENTIFIED